- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions

# QAccessible Class Reference

Search for all occurrences

## Detailed Description

Definition at line 64 of file qaccessible.h.

`#include <qaccessible.h>`

Inheritance diagram for QAccessible:
[legend]

List of all members.

## Public Types
enum | Event { SoundPlayed = 0x0001, Alert = 0x0002, ForegroundChanged = 0x0003, MenuStart = 0x0004, MenuEnd = 0x0005, PopupMenuStart = 0x0006, PopupMenuEnd = 0x0007, ContextHelpStart = 0x000C, ContextHelpEnd = 0x000D, DragDropStart = 0x000E, DragDropEnd = 0x000F, DialogStart = 0x0010, DialogEnd = 0x0011, ScrollingStart = 0x0012, ScrollingEnd = 0x0013, MenuCommand = 0x0018, ObjectCreated = 0x8000, ObjectDestroyed = 0x8001, ObjectShow = 0x8002, ObjectHide = 0x8003, ObjectReorder = 0x8004, Focus = 0x8005, Selection = 0x8006, SelectionAdd = 0x8007, SelectionRemove = 0x8008, SelectionWithin = 0x8009, StateChanged = 0x800A, LocationChanged = 0x800B, NameChanged = 0x800C, DescriptionChanged = 0x800D, ValueChanged = 0x800E, ParentChanged = 0x800F, HelpChanged = 0x80A0, DefaultActionChanged = 0x80B0, AcceleratorChanged = 0x80C0 }
enum | StateFlag { Normal = 0x00000000, Unavailable = 0x00000001, Selected = 0x00000002, Focused = 0x00000004, Pressed = 0x00000008, Checked = 0x00000010, Mixed = 0x00000020, ReadOnly = 0x00000040, HotTracked = 0x00000080, DefaultButton = 0x00000100, Expanded = 0x00000200, Collapsed = 0x00000400, Busy = 0x00000800, Marqueed = 0x00002000, Animated = 0x00004000, Invisible = 0x00008000, Offscreen = 0x00010000, Sizeable = 0x00020000, Movable = 0x00040000, SelfVoicing = 0x00080000, Focusable = 0x00100000, Selectable = 0x00200000, Linked = 0x00400000, Traversed = 0x00800000, MultiSelectable = 0x01000000, ExtSelectable = 0x02000000, Protected = 0x20000000, HasPopup = 0x40000000, Modal = 0x80000000, HasInvokeExtension = 0x10000000 }
enum | Role { NoRole = 0x00000000, TitleBar = 0x00000001, MenuBar = 0x00000002, ScrollBar = 0x00000003, Grip = 0x00000004, Sound = 0x00000005, Cursor = 0x00000006, Caret = 0x00000007, AlertMessage = 0x00000008, Window = 0x00000009, Client = 0x0000000A, PopupMenu = 0x0000000B, MenuItem = 0x0000000C, ToolTip = 0x0000000D, Application = 0x0000000E, Document = 0x0000000F, Pane = 0x00000010, Chart = 0x00000011, Dialog = 0x00000012, Border = 0x00000013, Grouping = 0x00000014, Separator = 0x00000015, ToolBar = 0x00000016, StatusBar = 0x00000017, Table = 0x00000018, ColumnHeader = 0x00000019, RowHeader = 0x0000001A, Column = 0x0000001B, Row = 0x0000001C, Cell = 0x0000001D, Link = 0x0000001E, HelpBalloon = 0x0000001F, Assistant = 0x00000020, List = 0x00000021, ListItem = 0x00000022, Tree = 0x00000023, TreeItem = 0x00000024, PageTab = 0x00000025, PropertyPage = 0x00000026, Indicator = 0x00000027, Graphic = 0x00000028, StaticText = 0x00000029, EditableText = 0x0000002A, PushButton = 0x0000002B, CheckBox = 0x0000002C, RadioButton = 0x0000002D, ComboBox = 0x0000002E, ProgressBar = 0x00000030, Dial = 0x00000031, HotkeyField = 0x00000032, Slider = 0x00000033, SpinBox = 0x00000034, Canvas = 0x00000035, Animation = 0x00000036, Equation = 0x00000037, ButtonDropDown = 0x00000038, ButtonMenu = 0x00000039, ButtonDropGrid = 0x0000003A, Whitespace = 0x0000003B, PageTabList = 0x0000003C, Clock = 0x0000003D, Splitter = 0x0000003E, LayeredPane = 0x0000003F, UserRole = 0x0000ffff }
enum | Text { Name = 0, Description, Value, Help, Accelerator, UserText = 0x0000ffff }
enum | RelationFlag { Unrelated = 0x00000000, Self = 0x00000001, Ancestor = 0x00000002, Child = 0x00000004, Descendent = 0x00000008, Sibling = 0x00000010, HierarchyMask = 0x000000ff, Up = 0x00000100, Down = 0x00000200, Left = 0x00000400, Right = 0x00000800, Covers = 0x00001000, Covered = 0x00002000, GeometryMask = 0x0000ff00, FocusChild = 0x00010000, Label = 0x00020000, Labelled = 0x00040000, Controller = 0x00080000, Controlled = 0x00100000, LogicalMask = 0x00ff0000 }
enum | Action { DefaultAction = 0, Press = -1, FirstStandardAction = Press, SetFocus = -2, Increase = -3, Decrease = -4, Accept = -5, Cancel = -6, Select = -7, ClearSelection = -8, RemoveSelection = -9, ExtendSelection = -10, AddToSelection = -11, LastStandardAction = AddToSelection }
enum | Method { ListSupportedMethods = 0, SetCursorPosition = 1, GetCursorPosition = 2, ForegroundColor = 3, BackgroundColor = 4 }
typedef QAccessibleInterface *(* | InterfaceFactory )(const QString &key, QObject *)
typedef void(* | UpdateHandler )(QObject *, int who, Event reason)
typedef void(* | RootObjectHandler )(QObject *)
## Static Public Member Functions
static void | installFactory (InterfaceFactory)
static void | removeFactory (InterfaceFactory)
static UpdateHandler | installUpdateHandler (UpdateHandler)
static RootObjectHandler | installRootObjectHandler (RootObjectHandler)
static QAccessibleInterface * | queryAccessibleInterface (QObject *)
static void | updateAccessibility (QObject *, int who, Event reason)
static bool | isActive ()
static void | setRootObject (QObject *)
static void | initialize ()
static void | cleanup ()

## Member Typedef Documentation

typedef QAccessibleInterface*(* InterfaceFactory)(const QString &key, QObject *)

Search for all occurrences

Definition at line 278 of file qaccessible.h.

typedef void(* UpdateHandler)(QObject *, int who, Event reason)

Search for all occurrences

Definition at line 279 of file qaccessible.h.

typedef void(* RootObjectHandler)(QObject *)

Search for all occurrences

Definition at line 280 of file qaccessible.h.

## Member Enumeration Documentation

enum Event

Search for all occurrences

Enumerator:

  SoundPlayed | Search for all occurrences
  Alert | Search for all occurrences
  ForegroundChanged | Search for all occurrences
  MenuStart | Search for all occurrences
  MenuEnd | Search for all occurrences
  PopupMenuStart | Search for all occurrences
  PopupMenuEnd | Search for all occurrences
  ContextHelpStart | Search for all occurrences
  ContextHelpEnd | Search for all occurrences
  DragDropStart | Search for all occurrences
  DragDropEnd | Search for all occurrences
  DialogStart | Search for all occurrences
  DialogEnd | Search for all occurrences
  ScrollingStart | Search for all occurrences
  ScrollingEnd | Search for all occurrences
  MenuCommand | Search for all occurrences
  ObjectCreated | Search for all occurrences
  ObjectDestroyed | Search for all occurrences
  ObjectShow | Search for all occurrences
  ObjectHide | Search for all occurrences
  ObjectReorder | Search for all occurrences
  Focus | Search for all occurrences
  Selection | Search for all occurrences
  SelectionAdd | Search for all occurrences
  SelectionRemove | Search for all occurrences
  SelectionWithin | Search for all occurrences
  StateChanged | Search for all occurrences
  LocationChanged | Search for all occurrences
  NameChanged | Search for all occurrences
  DescriptionChanged | Search for all occurrences
  ValueChanged | Search for all occurrences
  ParentChanged | Search for all occurrences
  HelpChanged | Search for all occurrences
  DefaultActionChanged | Search for all occurrences
  AcceleratorChanged | Search for all occurrences

Definition at line 67 of file qaccessible.h.

                   {
            SoundPlayed          = 0x0001,
            Alert                = 0x0002,
            ForegroundChanged    = 0x0003,
            MenuStart            = 0x0004,
            MenuEnd              = 0x0005,
            PopupMenuStart       = 0x0006,
            PopupMenuEnd         = 0x0007,
            ContextHelpStart     = 0x000C,
            ContextHelpEnd       = 0x000D,
            DragDropStart        = 0x000E,
            DragDropEnd          = 0x000F,
            DialogStart          = 0x0010,
            DialogEnd            = 0x0011,
            ScrollingStart       = 0x0012,
            ScrollingEnd         = 0x0013,

            MenuCommand          = 0x0018,

            ObjectCreated        = 0x8000,
            ObjectDestroyed      = 0x8001,
            ObjectShow           = 0x8002,
            ObjectHide           = 0x8003,
            ObjectReorder        = 0x8004,
            Focus                = 0x8005,
            Selection            = 0x8006,
            SelectionAdd         = 0x8007,
            SelectionRemove      = 0x8008,
            SelectionWithin      = 0x8009,
            StateChanged         = 0x800A,
            LocationChanged      = 0x800B,
            NameChanged          = 0x800C,
            DescriptionChanged   = 0x800D,
            ValueChanged         = 0x800E,
            ParentChanged        = 0x800F,
            HelpChanged          = 0x80A0,
            DefaultActionChanged = 0x80B0,
            AcceleratorChanged   = 0x80C0
        };

enum StateFlag

Search for all occurrences

Enumerator:

  Normal | Search for all occurrences
  Unavailable | Search for all occurrences
  Selected | Search for all occurrences
  Focused | Search for all occurrences
  Pressed | Search for all occurrences
  Checked | Search for all occurrences
  Mixed | Search for all occurrences
  ReadOnly | Search for all occurrences
  HotTracked | Search for all occurrences
  DefaultButton | Search for all occurrences
  Expanded | Search for all occurrences
  Collapsed | Search for all occurrences
  Busy | Search for all occurrences
  Marqueed | Search for all occurrences
  Animated | Search for all occurrences
  Invisible | Search for all occurrences
  Offscreen | Search for all occurrences
  Sizeable | Search for all occurrences
  Movable | Search for all occurrences
  SelfVoicing | Search for all occurrences
  Focusable | Search for all occurrences
  Selectable | Search for all occurrences
  Linked | Search for all occurrences
  Traversed | Search for all occurrences
  MultiSelectable | Search for all occurrences
  ExtSelectable | Search for all occurrences
  Protected | Search for all occurrences
  HasPopup | Search for all occurrences
  Modal | Search for all occurrences
  HasInvokeExtension | Search for all occurrences

Definition at line 107 of file qaccessible.h.

                       {
            Normal          = 0x00000000,
            Unavailable     = 0x00000001,
            Selected        = 0x00000002,
            Focused         = 0x00000004,
            Pressed         = 0x00000008,
            Checked         = 0x00000010,
            Mixed           = 0x00000020,
            ReadOnly        = 0x00000040,
            HotTracked      = 0x00000080,
            DefaultButton   = 0x00000100,
            Expanded        = 0x00000200,
            Collapsed       = 0x00000400,
            Busy            = 0x00000800,
            // Floating        = 0x00001000,
            Marqueed        = 0x00002000,
            Animated        = 0x00004000,
            Invisible       = 0x00008000,
            Offscreen       = 0x00010000,
            Sizeable        = 0x00020000,
            Movable         = 0x00040000,
    #ifdef QT3_SUPPORT
            Moveable        = Movable,
    #endif
            SelfVoicing     = 0x00080000,
            Focusable       = 0x00100000,
            Selectable      = 0x00200000,
            Linked          = 0x00400000,
            Traversed       = 0x00800000,
            MultiSelectable = 0x01000000,
            ExtSelectable   = 0x02000000,
            //AlertLow        = 0x04000000,
            //AlertMedium     = 0x08000000,
            //AlertHigh       = 0x10000000, /* reused for HasInvokeExtension */
            Protected       = 0x20000000,
            HasPopup        = 0x40000000,
            Modal           = 0x80000000,

            HasInvokeExtension = 0x10000000 // internal
        };

enum Role

Search for all occurrences

Enumerator:

  NoRole | Search for all occurrences
  TitleBar | Search for all occurrences
  MenuBar | Search for all occurrences
  ScrollBar | Search for all occurrences
  Grip | Search for all occurrences
  Sound | Search for all occurrences
  Cursor | Search for all occurrences
  Caret | Search for all occurrences
  AlertMessage | Search for all occurrences
  Window | Search for all occurrences
  Client | Search for all occurrences
  PopupMenu | Search for all occurrences
  MenuItem | Search for all occurrences
  ToolTip | Search for all occurrences
  Application | Search for all occurrences
  Document | Search for all occurrences
  Pane | Search for all occurrences
  Chart | Search for all occurrences
  Dialog | Search for all occurrences
  Border | Search for all occurrences
  Grouping | Search for all occurrences
  Separator | Search for all occurrences
  ToolBar | Search for all occurrences
  StatusBar | Search for all occurrences
  Table | Search for all occurrences
  ColumnHeader | Search for all occurrences
  RowHeader | Search for all occurrences
  Column | Search for all occurrences
  Row | Search for all occurrences
  Cell | Search for all occurrences
  Link | Search for all occurrences
  HelpBalloon | Search for all occurrences
  Assistant | Search for all occurrences
  List | Search for all occurrences
  ListItem | Search for all occurrences
  Tree | Search for all occurrences
  TreeItem | Search for all occurrences
  PageTab | Search for all occurrences
  PropertyPage | Search for all occurrences
  Indicator | Search for all occurrences
  Graphic | Search for all occurrences
  StaticText | Search for all occurrences
  EditableText | Search for all occurrences
  PushButton | Search for all occurrences
  CheckBox | Search for all occurrences
  RadioButton | Search for all occurrences
  ComboBox | Search for all occurrences
  ProgressBar | Search for all occurrences
  Dial | Search for all occurrences
  HotkeyField | Search for all occurrences
  Slider | Search for all occurrences
  SpinBox | Search for all occurrences
  Canvas | Search for all occurrences
  Animation | Search for all occurrences
  Equation | Search for all occurrences
  ButtonDropDown | Search for all occurrences
  ButtonMenu | Search for all occurrences
  ButtonDropGrid | Search for all occurrences
  Whitespace | Search for all occurrences
  PageTabList | Search for all occurrences
  Clock | Search for all occurrences
  Splitter | Search for all occurrences
  LayeredPane | Search for all occurrences
  UserRole | Search for all occurrences

Definition at line 149 of file qaccessible.h.

                  {
            NoRole         = 0x00000000,
            TitleBar       = 0x00000001,
            MenuBar        = 0x00000002,
            ScrollBar      = 0x00000003,
            Grip           = 0x00000004,
            Sound          = 0x00000005,
            Cursor         = 0x00000006,
            Caret          = 0x00000007,
            AlertMessage   = 0x00000008,
            Window         = 0x00000009,
            Client         = 0x0000000A,
            PopupMenu      = 0x0000000B,
            MenuItem       = 0x0000000C,
            ToolTip        = 0x0000000D,
            Application    = 0x0000000E,
            Document       = 0x0000000F,
            Pane           = 0x00000010,
            Chart          = 0x00000011,
            Dialog         = 0x00000012,
            Border         = 0x00000013,
            Grouping       = 0x00000014,
            Separator      = 0x00000015,
            ToolBar        = 0x00000016,
            StatusBar      = 0x00000017,
            Table          = 0x00000018,
            ColumnHeader   = 0x00000019,
            RowHeader      = 0x0000001A,
            Column         = 0x0000001B,
            Row            = 0x0000001C,
            Cell           = 0x0000001D,
            Link           = 0x0000001E,
            HelpBalloon    = 0x0000001F,
            Assistant      = 0x00000020,
            List           = 0x00000021,
            ListItem       = 0x00000022,
            Tree           = 0x00000023,
            TreeItem       = 0x00000024,
            PageTab        = 0x00000025,
            PropertyPage   = 0x00000026,
            Indicator      = 0x00000027,
            Graphic        = 0x00000028,
            StaticText     = 0x00000029,
            EditableText   = 0x0000002A,  // Editable, selectable, etc.
            PushButton     = 0x0000002B,
            CheckBox       = 0x0000002C,
            RadioButton    = 0x0000002D,
            ComboBox       = 0x0000002E,
            // DropList       = 0x0000002F,
            ProgressBar    = 0x00000030,
            Dial           = 0x00000031,
            HotkeyField    = 0x00000032,
            Slider         = 0x00000033,
            SpinBox        = 0x00000034,
            Canvas         = 0x00000035,
            Animation      = 0x00000036,
            Equation       = 0x00000037,
            ButtonDropDown = 0x00000038,
            ButtonMenu     = 0x00000039,
            ButtonDropGrid = 0x0000003A,
            Whitespace     = 0x0000003B,
            PageTabList    = 0x0000003C,
            Clock          = 0x0000003D,
            Splitter       = 0x0000003E,
            // Additional Qt roles where enum value does not map directly to MSAA:
            LayeredPane    = 0x0000003F,
            UserRole       = 0x0000ffff
        };

enum Text

Search for all occurrences

Enumerator:

  Name | Search for all occurrences
  Description | Search for all occurrences
  Value | Search for all occurrences
  Help | Search for all occurrences
  Accelerator | Search for all occurrences
  UserText | Search for all occurrences

Definition at line 218 of file qaccessible.h.

                  {
            Name         = 0,
            Description,
            Value,
            Help,
            Accelerator,
            UserText     = 0x0000ffff
        };

enum RelationFlag

Search for all occurrences

Enumerator:

  Unrelated | Search for all occurrences
  Self | Search for all occurrences
  Ancestor | Search for all occurrences
  Child | Search for all occurrences
  Descendent | Search for all occurrences
  Sibling | Search for all occurrences
  HierarchyMask | Search for all occurrences
  Up | Search for all occurrences
  Down | Search for all occurrences
  Left | Search for all occurrences
  Right | Search for all occurrences
  Covers | Search for all occurrences
  Covered | Search for all occurrences
  GeometryMask | Search for all occurrences
  FocusChild | Search for all occurrences
  Label | Search for all occurrences
  Labelled | Search for all occurrences
  Controller | Search for all occurrences
  Controlled | Search for all occurrences
  LogicalMask | Search for all occurrences

Definition at line 227 of file qaccessible.h.

                          {
            Unrelated     = 0x00000000,
            Self          = 0x00000001,
            Ancestor      = 0x00000002,
            Child         = 0x00000004,
            Descendent    = 0x00000008,
            Sibling       = 0x00000010,
            HierarchyMask = 0x000000ff,

            Up            = 0x00000100,
            Down          = 0x00000200,
            Left          = 0x00000400,
            Right         = 0x00000800,
            Covers        = 0x00001000,
            Covered       = 0x00002000,
            GeometryMask  = 0x0000ff00,

            FocusChild    = 0x00010000,
            Label         = 0x00020000,
            Labelled      = 0x00040000,
            Controller    = 0x00080000,
            Controlled    = 0x00100000,
            LogicalMask   = 0x00ff0000
        };

enum Action

Search for all occurrences

Enumerator:

  DefaultAction | Search for all occurrences
  Press | Search for all occurrences
  FirstStandardAction | Search for all occurrences
  SetFocus | Search for all occurrences
  Increase | Search for all occurrences
  Decrease | Search for all occurrences
  Accept | Search for all occurrences
  Cancel | Search for all occurrences
  Select | Search for all occurrences
  ClearSelection | Search for all occurrences
  RemoveSelection | Search for all occurrences
  ExtendSelection | Search for all occurrences
  AddToSelection | Search for all occurrences
  LastStandardAction | Search for all occurrences

Definition at line 253 of file qaccessible.h.

                    {
            DefaultAction       = 0,
            Press               = -1,
            FirstStandardAction = Press,
            SetFocus            = -2,
            Increase            = -3,
            Decrease            = -4,
            Accept              = -5,
            Cancel              = -6,
            Select              = -7,
            ClearSelection      = -8,
            RemoveSelection     = -9,
            ExtendSelection     = -10,
            AddToSelection      = -11,
            LastStandardAction  = AddToSelection
        };

enum Method

Search for all occurrences

Enumerator:

  ListSupportedMethods | Search for all occurrences
  SetCursorPosition | Search for all occurrences
  GetCursorPosition | Search for all occurrences
  ForegroundColor | Search for all occurrences
  BackgroundColor | Search for all occurrences

Definition at line 270 of file qaccessible.h.

                    {
            ListSupportedMethods      = 0,
            SetCursorPosition         = 1,
            GetCursorPosition         = 2,
            ForegroundColor           = 3,
            BackgroundColor           = 4
        };

## Member Function Documentation

static void installFactory | ( | InterfaceFactory |  | ) | `[static]`

Search for all occurrences

static void removeFactory | ( | InterfaceFactory |  | ) | `[static]`

Search for all occurrences

static UpdateHandler installUpdateHandler | ( | UpdateHandler |  | ) | `[static]`

Search for all occurrences

static RootObjectHandler installRootObjectHandler | ( | RootObjectHandler |  | ) | `[static]`

Search for all occurrences

static QAccessibleInterface* queryAccessibleInterface | ( | QObject * |  | ) | `[static]`

Search for all occurrences

static void updateAccessibility | ( | QObject * | ,
|  | int | who,
|  | Event | reason
| ) |  | `[static]`

Search for all occurrences

static bool isActive | ( |  | ) | `[static]`

Search for all occurrences

static void setRootObject | ( | QObject * |  | ) | `[static]`

Search for all occurrences

static void initialize | ( |  | ) | `[static]`

Search for all occurrences

static void cleanup | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessible.h

QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible
QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible QAccessible